PWCK(8)

NOM
pwck - Vérifier l'intégrité des fichiers de mots de passe

SYNOPSIS

pwck [options] [passwd [ shadow ]]

DESCRIPTION

La commande pwck vérifie l'intégrité des informations du système concernant les utilisateurs et leur mots de passe. Toutes les entrées des fichiers /etc/passwd et /etc/shadow sont vérifiées afin de s'assurer qu'elles ont le bon format et qu'elles contiennent des données valables dans chaque champ. Une confirmation de l'utilisateur sera demandée pour détruire les entrées mal formatées ou ayant d'autres erreurs non récupérables.

Voici les vérifications effectuées :

    • nombre correct de champs ;

    • unicité et validité des noms d'utilisateur ;

    • validité des identifiants d'utilisateur et de groupe ;

    • validité du groupe primaire ;

    • validité du répertoire personnel ;

    • validité de l'interpréteur de commandes initial (« login shell »).

Les vérifications de shadow sont activées quand un second paramètre de fichier est indiqué ou quand /etc/shadow existe sur le système.

Ces vérifications sont les suivantes :

    • chaque entrée de passwd a une entrée correspondante dans shadow, et chaque entrée shadow a une entrée passwd correspondante ;

    • les mots de passe sont indiqués dans le fichier des mot de passe cachés ;

    • les entrées de shadow ont le bon nombre de champs ;

    • les entrées de shadow sont uniques dans shadow ;

    • la date du dernier changement de mot de passe n'est pas dans le futur.

Une erreur dans le nombre de champs ou la non unicité d'un nom d'utilisateur sera fatale. Si le nombre de champs n'est pas correct, il sera demandé à l'utilisateur de supprimer la ligne. Si l'utilisateur ne répond pas par l'affirmative, les vérifications suivantes ne seront pas effectuées. Il sera également demandé de supprimer les entrées correspondant aux noms d'utilisateur redondants, mais dans ce cas, les autres vérifications seront effectuées. Toutes les autres erreurs ne sont que des avertissements et l'utilisateur est encouragé à utiliser usermod pour les corriger.

Les commandes qui opèrent sur le fichier /etc/passwd ne peuvent pas modifier les entrées corrompues ou redondantes. pwck doit être utilisé dans ce cas pour retirer ces entrées.

OPTIONS

Les options -r et -s ne peuvent pas être combinées.

Les options disponibles pour la commande pwck sont :

-h, --help
    Afficher un message d'aide et quitter.

-q, --quiet
    Ne signaler que les erreurs. Les avertissements qui ne nécessitent pas une action de la part de l'utilisateur ne seront pas affichés.

-r, --read-only
    Permet d'exécuter pwck dans le mode lecture seule.

-R, --root CHROOT_DIR
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-s, --sort
    Trie les entrées de /etc/passwd et /etc/shadow par UID.

Par défaut, pwck opère sur les fichiers /etc/passwd et /etc/shadow

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

PASS_MAX_DAYS (nombre)
    Nombre maximum de jours de validité d'un mot de passe. Après cette durée, une modification du mot de passe est obligatoire. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_MIN_DAYS (nombre)
    Nombre minimum de jours autorisé avant la modification d'un mot de passe. Toute tentative de modification du mot de passe avant cette durée est rejetée. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_WARN_AGE (nombre)
    Nombre de jours durant lesquels l'utilisateur recevra un avertissement avant que son mot de passe n'arrive en fin de validité. Une valeur négative signifie qu'aucun avertissement n'est donné. S'il n'est pas précisé, aucun avertissement n'est donné.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VALEURS DE RETOUR

La commande pwck retourne les valeurs suivantes en quittant :

0
    succès

1
    erreur de syntaxe

2
    une entrée de mot de passe ou plus est incorrecte

3
    impossible d'ouvrir les fichiers de mots de passe

4
    impossible de verrouiller les fichiers de mots de passe

5
    impossible de mettre à jour les fichiers des mots de passe

6
    impossible de trier les fichiers de mots de passe

VOIR AUSSI

group(5), grpck(8), passwd(5), shadow(5), usermod(8).